Package org.bukkit.block.data

# Interface MultipleFacing

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Fence`, `Fire`, `GlassPane`, `GlowLichen`, `SculkVein`, `Tripwire`

public interface MultipleFacing extends BlockData
This class encompasses the 'north', 'east', 'south', 'west', 'up', 'down' boolean flags which are used to set which faces of the block textures are displayed on.
Some blocks may not be able to have faces on all directions, use `getAllowedFaces()` to get all possible faces for this block. It is not valid to call any methods on non-allowed faces.

## Method Summary

Modifier and Type
Method
Description
`@NotNull Set<BlockFace>`
`getAllowedFaces()`
Gets all of this faces which may be set on this block.
`@NotNull Set<BlockFace>`
`getFaces()`
Get all of the faces which are enabled on this block.
`boolean`
`hasFace(@NotNull BlockFace face)`
Checks if this block has the specified face enabled.
`void`
`setFace(@NotNull BlockFace face, boolean has)`
Set whether this block has the specified face enabled.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### hasFace

boolean hasFace(@NotNull @NotNull BlockFace face)
Checks if this block has the specified face enabled.

Parameters:
  `face` - to check
Returns:
  if face is enabled

### setFace

void setFace(@NotNull @NotNull BlockFace face, boolean has)
Set whether this block has the specified face enabled.

Parameters:
  `face` - to set
  `has` - the face

### getFaces

@NotNull @NotNull Set<BlockFace> getFaces()
Get all of the faces which are enabled on this block.

Returns:
  all faces enabled

### getAllowedFaces

@NotNull @NotNull Set<BlockFace> getAllowedFaces()
Gets all of this faces which may be set on this block.

Returns:
  all allowed faces